<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>ClipboardFormat (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClipboardFormat (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/BuiltInClipboardFormat.html" title="enum in com.sk89q.worldedit.extent.clipboard.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html" title="class in com.sk89q.worldedit.extent.clipboard.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" target="_top">Frames</a></li>
<li><a href="ClipboardFormat.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent.clipboard.io</div>
<h2 title="Interface ClipboardFormat" class="title">Interface ClipboardFormat</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/BuiltInClipboardFormat.html" title="enum in com.sk89q.worldedit.extent.clipboard.io">BuiltInClipboardFormat</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ClipboardFormat</span></pre>
<div class="block">A collection of supported clipboard formats.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html#getAliases--">getAliases</a></span>()</code>
<div class="block">Get a set of aliases.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html#getFileExtensions--">getFileExtensions</a></span>()</code>
<div class="block">Get the file extensions this format is commonly known to use.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html#getName--">getName</a></span>()</code>
<div class="block">Returns the name of this format.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html#getPrimaryFileExtension--">getPrimaryFileExtension</a></span>()</code>
<div class="block">Get the file extension this format primarily uses.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardReader.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardReader</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html#getReader-java.io.InputStream-">getReader</a></span>(java.io.InputStream&nbsp;inputStream)</code>
<div class="block">Create a reader.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardWriter.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardWriter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html#getWriter-java.io.OutputStream-">getWriter</a></span>(java.io.OutputStream&nbsp;outputStream)</code>
<div class="block">Create a writer.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html#isFormat-java.io.File-">isFormat</a></span>(java.io.File&nbsp;file)</code>
<div class="block">Return whether the given file is of this format.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>java.lang.String&nbsp;getName()</pre>
<div class="block">Returns the name of this format.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The name of the format</dd>
</dl>
</li>
</ul>
<a name="getAliases--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAliases</h4>
<pre>java.util.Set&lt;java.lang.String&gt;&nbsp;getAliases()</pre>
<div class="block">Get a set of aliases.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a set of aliases</dd>
</dl>
</li>
</ul>
<a name="getReader-java.io.InputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReader</h4>
<pre><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardReader.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardReader</a>&nbsp;getReader(java.io.InputStream&nbsp;inputStream)
                   throws java.io.IOException</pre>
<div class="block">Create a reader.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputStream</code> - the input stream</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reader</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - thrown on I/O error</dd>
</dl>
</li>
</ul>
<a name="getWriter-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWriter</h4>
<pre><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardWriter.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardWriter</a>&nbsp;getWriter(java.io.OutputStream&nbsp;outputStream)
                   throws java.io.IOException</pre>
<div class="block">Create a writer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>outputStream</code> - the output stream</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a writer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - thrown on I/O error</dd>
</dl>
</li>
</ul>
<a name="isFormat-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFormat</h4>
<pre>boolean&nbsp;isFormat(java.io.File&nbsp;file)</pre>
<div class="block">Return whether the given file is of this format.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the given file is of this format</dd>
</dl>
</li>
</ul>
<a name="getPrimaryFileExtension--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrimaryFileExtension</h4>
<pre>java.lang.String&nbsp;getPrimaryFileExtension()</pre>
<div class="block">Get the file extension this format primarily uses.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The primary file extension</dd>
</dl>
</li>
</ul>
<a name="getFileExtensions--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFileExtensions</h4>
<pre>java.util.Set&lt;java.lang.String&gt;&nbsp;getFileExtensions()</pre>
<div class="block">Get the file extensions this format is commonly known to use. This should
 include <a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html#getPrimaryFileExtension--"><code>getPrimaryFileExtension()</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The file extensions this format might be known by</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/BuiltInClipboardFormat.html" title="enum in com.sk89q.worldedit.extent.clipboard.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html" title="class in com.sk89q.worldedit.extent.clipboard.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" target="_top">Frames</a></li>
<li><a href="ClipboardFormat.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
